package org.objectweb.speedo.generation.enhancer;

import org.objectweb.asm.ClassAdapter;
import org.objectweb.asm.ClassVisitor;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

import java.util.List;

public class ClassInterfaceAdder extends LoggedClassAdapter {

    private List itfs;

    public ClassInterfaceAdder(ClassVisitor classVisitor,
                               List itfs,
                               Logger logger) {
        super(classVisitor, logger);
        this.itfs = itfs;
    }

    public void visit(final int access,
                      final String name,
                      final String superName,
                      final String[] interfaces,
                      final String sourceFile) {
        // just stores the interfaces implemented by the visited class
        if (interfaces != null) {
            for (int i = 0; i < interfaces.length; ++i) {
                if (!itfs.contains(interfaces[i])) {
                    if (debug) {
                        logger.log(BasicLevel.DEBUG,
                                "Add the interface '" + interfaces[i] + "'");
                    }
                    itfs.add(interfaces[i]);
                }
            }
        }
        String[] newInterfaces = (String[]) itfs.toArray(new String[itfs.size()]);
        cv.visit(access, name, superName, newInterfaces, sourceFile);
    }
}
