/**
 * copyright area
 */
package org.objectweb.speedo.generation.lib;

import org.objectweb.speedo.generation.api.GeneratorComponent;
import org.objectweb.speedo.generation.api.SpeedoCompilerParameter;
import org.objectweb.speedo.api.SpeedoException;
import org.objectweb.util.monolog.api.Logger;

/**
 * @author S.Chassande-Barrioz
 */
public abstract class AbstractGeneratorComponent
        implements GeneratorComponent {

    protected SpeedoCompilerParameter scp = null;

    protected Logger logger = null;

    // IMPLEMENTATION OF THE GeneratorComponent INTERFACE //
    //----------------------------------------------------//

    public void setSpeedoCompilerParameter(SpeedoCompilerParameter scp) {
        this.scp = scp;
    }

    public SpeedoCompilerParameter getSpeedoCompilerParameter() {
        return scp;
    }

    public Logger getLogger() {
        return logger;
    }

    public abstract void init() throws SpeedoException;

    public abstract void process() throws SpeedoException;
}
