/**
 * copyright area
 */
package org.objectweb.speedo.metadata;

import org.objectweb.speedo.generation.lib.NamingRules;

/**
 * @author S.Chassande-Barrioz
 */
public class MetaDataHelper {

    /**
     * Looks for a specific <code>SpeedoClass</code> in the object model.
     *
     * @param className the complete name of the class
     * @param xml the Object Model describing known JDO Instances
     * @return the corresponding SpeedoClass if it exists, null either
     */
    public static SpeedoClass fetchJDOClass(String className, SpeedoXMLDescriptor xml) {
        SpeedoClass jdoclass = null;
        String fieldPackage = NamingRules.packageName(className);
        String fieldClass = NamingRules.className(className);
        if (xml.jdoPackage.containsKey(fieldPackage))
            jdoclass = (SpeedoClass)
                    ((SpeedoPackage) xml.jdoPackage.get(fieldPackage))
                    .jdoClass.get(fieldClass);
        return jdoclass;
    }

}
