/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 0.1
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: P. Dechamboux, Y. Devaux, F. Dhumeaux.
 *
 */

package org.objectweb.speedo.metadata;

/**
 * This class corresponds to the description of the attribute identity-type
 * in the XML file.
 * @author	Y. Devaux
 */
public abstract class SpeedoIdentity {
    public final static byte USER_ID = 2;
    public final static byte CONTAINER_ID = 1;
    public final static byte NO_ID = 0;

    /**
     * Transforms a String into a Byte. The String must corresponds to local variables.
     * It returns the byte associated with the variable.
     * @param s String to transform.
     * @return the byte associated to the String.
     */
    public static byte toByte(String s) {
        if (s.equalsIgnoreCase("application"))
            return USER_ID;
        else if (s.equalsIgnoreCase("datastore"))
            return CONTAINER_ID;
        else
            return CONTAINER_ID;
    } // end toByte
} // end SpeedoIdentity
