/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 0.1
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: P. Dechamboux, Y. Devaux, F. Dhumeaux.
 *
 */

package org.objectweb.speedo.metadata;

/**
 * This class describes the element map of a file ".jdo".
 * @author	Y. Devaux
 */
public class SpeedoMap extends SpeedoTuple {
    public Object keyType;
    public boolean embeddedKey = false;
    public Object valueType;
    public boolean embeddedValue = false;

    /**
     * Transform this object into a String.
     * @return the string corresponding to the object.
     */
    public String toString() {
        return "map keytype : " + keyType + ", embeddedKey : " + embeddedKey +
                ", valueType : " + valueType + ", embeddedValue : " + embeddedValue;
    }
} // end SpeedoMap
