/**
 * copyright area
 */

package org.objectweb.speedo.runtime.genclass.collection;

import org.objectweb.jorm.type.api.PExceptionTyping;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class SetElem extends CollectionElem {

    /**
     * The error message thrown when an accessor method associated to an index
     * is called. Indeed a set does not need index because all element must be
     * unique and they are not ordered.
     */
    public final static String ERROR_MESSAGE_NO_INDEX =
            "A set has no index";

    // ---------------------------------------------------------------------------
    // Overriden methods
    // ---------------------------------------------------------------------------

    public void pieSetByteIndexField(String fn, byte value) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public void pieSetCharIndexField(String fn, char value) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public void pieSetShortIndexField(String fn, short value) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public void pieSetIntIndexField(String fn, int value) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public void pieSetLongIndexField(String fn, long value) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public void pieSetStringIndexField(String fn, String value) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public short pieGetShortIndexField(String fn) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public long pieGetLongIndexField(String fn) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public int pieGetIntIndexField(String fn) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public String pieGetStringIndexField(String fn) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public byte pieGetByteIndexField(String fn) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }

    public char pieGetCharIndexField(String fn) throws PExceptionTyping {
        throw new PExceptionTyping(ERROR_MESSAGE_NO_INDEX);
    }
}
