/**
 * copyright area
 */
package org.objectweb.speedo.runtime.query.api;

import javax.jdo.Extent;
import java.util.Collection;
import java.util.Vector;
import java.util.List;

/**
 * This interface represents the user definition of a query.
 *
 * @author S.Chassande-Barrioz
 */
public interface QueryDefinition {

    Class getCandidateClass();

    boolean isCollection();

    Collection getCollection();

    String getParameters();

    String getVariables();

    String getFilter();

    Extent getExtent();

    List getImportStatements();

    boolean isIgnoreCache();

    List getOrder();
}
